#include <bits/stdc++.h>
using namespace std;

int main() {
    ios_base::sync_with_stdio(false);
    cin.tie(0);

    int n, k, x;
    cin >> n >> k >> x;
    vector<int> a = vector<int>(n, -1);

    a[0] = 1;
    for (int i = 1; i <= k; i++) {
        a[i] = x + 1;
    }
    for (int i = k + 1; i < n; i++) {
        a[i] = x;
    }

    for (int i = 0; i < n; i++) {
        cout << a[i] << " ";
    }

    return 0;
}